commit e5488fb6f23b85fc2dbca841dd11e365165bf338
Author: l.suhrbier <l.suhrbier@localhost>
Date:   Thu Aug 4 16:31:05 2011 +0000

    Single Sourced CdmFormFactory markFinished Problem

diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/AbstractGraphKeyEditor.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/AbstractGraphKeyEditor.java
index cb9629bfd..2bb63744a 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/AbstractGraphKeyEditor.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/AbstractGraphKeyEditor.java
@@ -38,7 +38,7 @@ import eu.etaxonomy.cdm.model.description.PolytomousKeyNode;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.model.IDirtyMarkableSelectionProvider;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 
 /**
  * @author n.hoffmann
@@ -49,7 +49,7 @@ public abstract class AbstractGraphKeyEditor<T extends IIdentificationKey>
 		IZoomableWorkbenchPart, IPostOperationEnabled,
 		IDirtyMarkableSelectionProvider {
 
-	private CdmFormFactory formFactory;
+	private CdmFormFactoryFacade formFactory;
 	private Composite container;
 	protected GraphViewer viewer;
 
@@ -93,7 +93,7 @@ public abstract class AbstractGraphKeyEditor<T extends IIdentificationKey>
 			throws PartInitException {
 		setSite(site);
 		setInput(input);
-		formFactory = new CdmFormFactory(site.getShell().getDisplay());
+		formFactory = CdmFormFactoryFacade.getInstance(site.getShell().getDisplay());
 	}
 
 	/*
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/polytomous/PolytomousKeyListItem.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/polytomous/PolytomousKeyListItem.java
index 4487c3242..48482fd78 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/polytomous/PolytomousKeyListItem.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/key/polytomous/PolytomousKeyListItem.java
@@ -27,9 +27,9 @@ import eu.etaxonomy.cdm.model.description.KeyStatement;
 import eu.etaxonomy.cdm.model.description.PolytomousKeyNode;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.taxeditor.editor.EditorUtil;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 
 /**
  * @author n.hoffmann
@@ -48,7 +48,7 @@ public class PolytomousKeyListItem extends AbstractCdmFormElement implements
 	 * @param formFactory
 	 * @param layoutComposite
 	 */
-	protected PolytomousKeyListItem(CdmFormFactory formFactory,
+	protected PolytomousKeyListItem(CdmFormFactoryFacade formFactory,
 			Composite layoutComposite, PolytomousKeyNode entity) {
 		super(formFactory, layoutComposite);
 
@@ -65,7 +65,7 @@ public class PolytomousKeyListItem extends AbstractCdmFormElement implements
 
 		Label label_statement = new Label(getLayoutComposite(), SWT.NULL);
 		label_statement.setText(getItemStatement());
-		label_statement.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY());
+		label_statement.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY());
 
 		Link link = new Link(getLayoutComposite(), SWT.NONE);
 		link.setText("<a>" + getItemLink() + "</a>");
diff --git a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/key/polytomous/PolytomousKeyViewPart.java b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/key/polytomous/PolytomousKeyViewPart.java
index d1f02b080..bb9db49d5 100644
--- a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/key/polytomous/PolytomousKeyViewPart.java
+++ b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/key/polytomous/PolytomousKeyViewPart.java
@@ -42,8 +42,8 @@ import eu.etaxonomy.taxeditor.model.IContextListener;
 import eu.etaxonomy.taxeditor.navigation.NavigationUtil;
 import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 
 /**
  * @author n.hoffmann
@@ -105,13 +105,13 @@ public class PolytomousKeyViewPart extends ViewPart implements
 	private ListViewer viewer;
 	private ConversationHolder conversation;
 	private IContextListener contextListener;
-	private final CdmFormFactory formFactory;
+	private final CdmFormFactoryFacade formFactory;
 	private Text text_filter;
 
 	private PolytomousKeyViewPartDataChangeBehavior dataChangeBehavior;
 
 	public PolytomousKeyViewPart(){
-		formFactory = new CdmFormFactory(DisplayProxy.getDefault());
+		formFactory = CdmFormFactoryFacade.getInstance(DisplayProxy.getDefault());
 	}
 	
 	/* (non-Javadoc)
diff --git a/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacadeImpl.java b/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacadeImpl.java
index c7c98c7ac..42a01f90f 100644
--- a/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacadeImpl.java
+++ b/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacadeImpl.java
@@ -12,13 +12,9 @@ package eu.etaxonomy.taxeditor.singlesource.ui.forms;
 
 import javax.naming.OperationNotSupportedException;
 
-import org.eclipse.swt.events.ModifyEvent;
-import org.eclipse.swt.events.ModifyListener;
 import org.eclipse.swt.widgets.Text;
 
-import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.common.LanguageString;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -36,19 +32,19 @@ public class LanguageStringWithLabelElementFacadeImpl extends LanguageStringWith
 	/**
 	 * <p>Constructor for LanguageStringWithLabelElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param languageString a {@link eu.etaxonomy.cdm.model.common.LanguageString} object.
 	 * @param style a int.
 	 */
-	protected LanguageStringWithLabelElementFacadeImpl(CdmFormFactory formFactory,
+	protected LanguageStringWithLabelElementFacadeImpl(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, int style) {
 		this(formFactory, parentElement, labelString, languageString, null, style);
 	}
 
-	protected Object getInstanceInternal (CdmFormFactory formFactory,
+	protected Object getInstanceInternal (CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, int style) {
 		return new LanguageStringWithLabelElementFacadeImpl(formFactory, parentElement, labelString, languageString, style);
@@ -57,14 +53,14 @@ public class LanguageStringWithLabelElementFacadeImpl extends LanguageStringWith
 	/**
 	 * <p>Constructor for LanguageStringWithLabelElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param languageString a {@link eu.etaxonomy.cdm.model.common.LanguageString} object.
 	 * @param height a int.
 	 * @param style a int.
 	 */
-	protected LanguageStringWithLabelElementFacadeImpl(CdmFormFactory formFactory,
+	protected LanguageStringWithLabelElementFacadeImpl(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, Integer height, int style) {
 		super(formFactory, parentElement, labelString, null, height, style);
@@ -72,13 +68,13 @@ public class LanguageStringWithLabelElementFacadeImpl extends LanguageStringWith
 		setLanguageString(languageString);
 	}
 	
-	protected Object getInstanceInternal (CdmFormFactory formFactory,
+	protected Object getInstanceInternal (CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, Integer height, int style) {
 			return new LanguageStringWithLabelElementFacadeImpl(formFactory, parentElement, labelString, languageString, height, style);
 	}
 	
-	protected Object getInstanceInternal(CdmFormFactory formFactory,ICdmFormElement parentElement, String labelString,
+	protected Object getInstanceInternal(CdmFormFactoryFacade formFactory,ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style)
 	{
 		return null;
diff --git a/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacadeImpl.java b/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacadeImpl.java
index 1011f61b4..67ccd062b 100644
--- a/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacadeImpl.java
+++ b/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacadeImpl.java
@@ -12,12 +12,8 @@ package eu.etaxonomy.taxeditor.singlesource.ui.forms;
 
 import javax.naming.OperationNotSupportedException;
 
-import org.eclipse.swt.events.ModifyEvent;
-import org.eclipse.swt.events.ModifyListener;
 import org.eclipse.swt.widgets.Text;
 
-import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 
@@ -42,13 +38,13 @@ public class NumberWithLabelElementFacadeImpl extends NumberWithLabelElementFaca
 	 * @param initialInteger a {@link java.lang.Integer} object.
 	 * @param style a int.
 	 */
-	public NumberWithLabelElementFacadeImpl(CdmFormFactory toolkit,
+	public NumberWithLabelElementFacadeImpl(CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Integer initialInteger, int style) {
 		super(toolkit, parentElement, labelString, initialInteger, style);
 	}
 
-	protected Object getInstanceInternal (CdmFormFactory toolkit,
+	protected Object getInstanceInternal (CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Integer initialInteger, int style) {
 		return new NumberWithLabelElementFacadeImpl(toolkit, parentElement, labelString, initialInteger, style);
@@ -57,25 +53,25 @@ public class NumberWithLabelElementFacadeImpl extends NumberWithLabelElementFaca
 	/**
 	 * <p>Constructor for NumberWithLabelElement.</p>
 	 *
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param initialFloat a {@link java.lang.Float} object.
 	 * @param style a int.
 	 */
-	public NumberWithLabelElementFacadeImpl(CdmFormFactory toolkit,
+	public NumberWithLabelElementFacadeImpl(CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Float initialFloat, int style) {
 		super(toolkit, parentElement, labelString, initialFloat, style);
 	}
 
-	protected Object getInstanceInternal (CdmFormFactory toolkit,
+	protected Object getInstanceInternal (CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Float initialFloat, int style) {
 		return new NumberWithLabelElementFacadeImpl(toolkit, parentElement, labelString, initialFloat, style);
 	}
 
-	protected Object getInstanceInternal(CdmFormFactory formFactory,ICdmFormElement parentElement, String labelString,
+	protected Object getInstanceInternal(CdmFormFactoryFacade formFactory,ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style)
 	{
 		return null;
diff --git a/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacadeImpl.java b/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacadeImpl.java
index 6b635a0fb..71d774824 100644
--- a/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacadeImpl.java
+++ b/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacadeImpl.java
@@ -13,7 +13,6 @@ import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Text;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -31,13 +30,13 @@ public class TextWithLabelElementFacadeImpl extends TextWithLabelElementFacade {
 		super();
 	}
 
-	protected TextWithLabelElementFacadeImpl(CdmFormFactory formFactory,
+	protected TextWithLabelElementFacadeImpl(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style) {
 		super(formFactory, parentElement, labelString, initialText, textHeight, style);
 	}	
 
-	protected Object getInstanceInternal (CdmFormFactory formFactory,
+	protected Object getInstanceInternal (CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style) {
 		
diff --git a/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacadeImpl.java b/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacadeImpl.java
index 98db8cfff..4931ea0ac 100644
--- a/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacadeImpl.java
+++ b/eu.etaxonomy.taxeditor.store.rap/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacadeImpl.java
@@ -15,12 +15,8 @@ import java.net.URISyntaxException;
 
 import javax.naming.OperationNotSupportedException;
 
-import org.eclipse.swt.events.ModifyEvent;
-import org.eclipse.swt.events.ModifyListener;
 import org.eclipse.swt.widgets.Text;
 
-import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -42,13 +38,13 @@ public class UriWithLabelElementFacadeImpl extends UriWithLabelElementFacade {
 	 * @param textHeight
 	 * @param style
 	 */
-	protected UriWithLabelElementFacadeImpl(CdmFormFactory formFactory,
+	protected UriWithLabelElementFacadeImpl(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			URI initialUri, Integer textHeight, int style) {
 		super(formFactory, parentElement, labelString, initialUri, textHeight, style);
 	}
 
-	protected Object getInstanceInternal (CdmFormFactory formFactory,
+	protected Object getInstanceInternal (CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			URI initialUri, Integer textHeight, int style) {
 		return new UriWithLabelElementFacadeImpl(formFactory, parentElement, labelString, initialUri, textHeight, style);
@@ -67,7 +63,7 @@ public class UriWithLabelElementFacadeImpl extends UriWithLabelElementFacade {
 		return new URI(super.getText());
 	}
 
-	protected Object getInstanceInternal(CdmFormFactory formFactory,ICdmFormElement parentElement, String labelString,
+	protected Object getInstanceInternal(CdmFormFactoryFacade formFactory,ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style)
 	{
 		return null;
diff --git a/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacadeImpl.java b/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacadeImpl.java
index ce31fcc69..015bfea51 100644
--- a/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacadeImpl.java
+++ b/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/LanguageStringWithLabelElementFacadeImpl.java
@@ -12,13 +12,9 @@ package eu.etaxonomy.taxeditor.singlesource.ui.forms;
 
 import javax.naming.OperationNotSupportedException;
 
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Text;
 
-import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.common.LanguageString;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -36,19 +32,19 @@ public class LanguageStringWithLabelElementFacadeImpl extends LanguageStringWith
 	/**
 	 * <p>Constructor for LanguageStringWithLabelElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacadeImpl} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param languageString a {@link eu.etaxonomy.cdm.model.common.LanguageString} object.
 	 * @param style a int.
 	 */
-	protected LanguageStringWithLabelElementFacadeImpl(CdmFormFactory formFactory,
+	protected LanguageStringWithLabelElementFacadeImpl(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, int style) {
 		this(formFactory, parentElement, labelString, languageString, null, style);
 	}
 
-	protected Object getInstanceInternal (CdmFormFactory formFactory,
+	protected Object getInstanceInternal (CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, int style) {
 		return new LanguageStringWithLabelElementFacadeImpl(formFactory, parentElement, labelString, languageString, style);
@@ -57,14 +53,14 @@ public class LanguageStringWithLabelElementFacadeImpl extends LanguageStringWith
 	/**
 	 * <p>Constructor for LanguageStringWithLabelElement.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacadeImpl} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param languageString a {@link eu.etaxonomy.cdm.model.common.LanguageString} object.
 	 * @param height a int.
 	 * @param style a int.
 	 */
-	protected LanguageStringWithLabelElementFacadeImpl(CdmFormFactory formFactory,
+	protected LanguageStringWithLabelElementFacadeImpl(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, Integer height, int style) {
 		super(formFactory, parentElement, labelString, null, height, style);
@@ -72,13 +68,13 @@ public class LanguageStringWithLabelElementFacadeImpl extends LanguageStringWith
 		setLanguageString(languageString);
 	}
 	
-	protected Object getInstanceInternal (CdmFormFactory formFactory,
+	protected Object getInstanceInternal (CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			LanguageString languageString, Integer height, int style) {
 			return new LanguageStringWithLabelElementFacadeImpl(formFactory, parentElement, labelString, languageString, height, style);
 	}
 	
-	protected Object getInstanceInternal(CdmFormFactory formFactory,ICdmFormElement parentElement, String labelString,
+	protected Object getInstanceInternal(CdmFormFactoryFacade formFactory,ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style)
 	{
 		return null;
diff --git a/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacadeImpl.java b/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacadeImpl.java
index f9fafc58e..f373130b0 100644
--- a/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacadeImpl.java
+++ b/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/NumberWithLabelElementFacadeImpl.java
@@ -17,7 +17,6 @@ import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Text;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 
@@ -36,19 +35,19 @@ public class NumberWithLabelElementFacadeImpl extends NumberWithLabelElementFaca
 	/**
 	 * <p>Constructor for NumberWithLabelElement.</p>
 	 *
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacadeImpl} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param initialInteger a {@link java.lang.Integer} object.
 	 * @param style a int.
 	 */
-	protected NumberWithLabelElementFacadeImpl(CdmFormFactory toolkit,
+	protected NumberWithLabelElementFacadeImpl(CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Integer initialInteger, int style) {
 		super(toolkit, parentElement, labelString, initialInteger, style);
 	}
 
-	protected Object getInstanceInternal (CdmFormFactory toolkit,
+	protected Object getInstanceInternal (CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Integer initialInteger, int style) {
 		return new NumberWithLabelElementFacadeImpl(toolkit, parentElement, labelString, initialInteger, style);
@@ -57,25 +56,25 @@ public class NumberWithLabelElementFacadeImpl extends NumberWithLabelElementFaca
 	/**
 	 * <p>Constructor for NumberWithLabelElement.</p>
 	 *
-	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param toolkit a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacadeImpl} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param labelString a {@link java.lang.String} object.
 	 * @param initialFloat a {@link java.lang.Float} object.
 	 * @param style a int.
 	 */
-	public NumberWithLabelElementFacadeImpl(CdmFormFactory toolkit,
+	public NumberWithLabelElementFacadeImpl(CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Float initialFloat, int style) {
 		super(toolkit, parentElement, labelString, initialFloat, style);
 	}
 
-	protected Object getInstanceInternal (CdmFormFactory toolkit,
+	protected Object getInstanceInternal (CdmFormFactoryFacade toolkit,
 			ICdmFormElement parentElement, String labelString,
 			Float initialFloat, int style) {
 		return new NumberWithLabelElementFacadeImpl(toolkit, parentElement, labelString, initialFloat, style);
 	}
 
-	protected Object getInstanceInternal(CdmFormFactory formFactory,ICdmFormElement parentElement, String labelString,
+	protected Object getInstanceInternal(CdmFormFactoryFacade formFactory,ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style)
 	{
 		return null;
diff --git a/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacadeImpl.java b/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacadeImpl.java
index f7bd31746..b539ce515 100644
--- a/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacadeImpl.java
+++ b/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/TextWithLabelElementFacadeImpl.java
@@ -11,7 +11,6 @@ import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Text;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -28,13 +27,13 @@ public class TextWithLabelElementFacadeImpl extends TextWithLabelElementFacade {
 	public TextWithLabelElementFacadeImpl(){
 	}
 
-	protected TextWithLabelElementFacadeImpl(CdmFormFactory formFactory,
+	protected TextWithLabelElementFacadeImpl(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style) {
 		super(formFactory, parentElement, labelString, initialText, textHeight, style);
 	}	
 
-	protected Object getInstanceInternal (CdmFormFactory formFactory,
+	protected Object getInstanceInternal (CdmFormFactoryFacade formFactory,
 		ICdmFormElement parentElement, String labelString,
 		String initialText, Integer textHeight, int style) {
 	
diff --git a/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacadeImpl.java b/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacadeImpl.java
index 1c8b8f5bc..9fe92b5e0 100644
--- a/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacadeImpl.java
+++ b/eu.etaxonomy.taxeditor.store.rcp/src/eu/etaxonomy/taxeditor/singlesource/ui/forms/UriWithLabelElementFacadeImpl.java
@@ -20,7 +20,6 @@ import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Text;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -41,13 +40,13 @@ public class UriWithLabelElementFacadeImpl extends UriWithLabelElementFacade {
 	 * @param textHeight
 	 * @param style
 	 */
-	protected UriWithLabelElementFacadeImpl(CdmFormFactory formFactory,
+	protected UriWithLabelElementFacadeImpl(CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			URI initialUri, Integer textHeight, int style) {
 		super(formFactory, parentElement, labelString, initialUri, textHeight, style);
 	}
 
-	protected Object getInstanceInternal (CdmFormFactory formFactory,
+	protected Object getInstanceInternal (CdmFormFactoryFacade formFactory,
 			ICdmFormElement parentElement, String labelString,
 			URI initialUri, Integer textHeight, int style) {
 		return new UriWithLabelElementFacadeImpl(formFactory, parentElement, labelString, initialUri, textHeight, style);
@@ -66,7 +65,7 @@ public class UriWithLabelElementFacadeImpl extends UriWithLabelElementFacade {
 		return new URI(super.getText());
 	}
 
-	protected Object getInstanceInternal(CdmFormFactory formFactory,ICdmFormElement parentElement, String labelString,
+	protected Object getInstanceInternal(CdmFormFactoryFacade formFactory,ICdmFormElement parentElement, String labelString,
 			String initialText, Integer textHeight, int style)
 	{
 		return null;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/AbstractNewEntityWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/AbstractNewEntityWizard.java
index 6a42015e5..04debcf15 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/AbstractNewEntityWizard.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/newWizard/AbstractNewEntityWizard.java
@@ -20,9 +20,9 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
 import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
 import eu.etaxonomy.taxeditor.singlesource.org.eclipse.swt.widgets.DisplayProxy;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 
 /**
  * <p>Abstract AbstractNewEntityWizard class.</p>
@@ -36,7 +36,7 @@ public abstract class AbstractNewEntityWizard<T> extends Wizard implements
 
 	private ConversationHolder conversation;
 	
-	protected CdmFormFactory formFactory;
+	protected CdmFormFactoryFacade formFactory;
 
 	private T entity;
 
@@ -105,7 +105,7 @@ public abstract class AbstractNewEntityWizard<T> extends Wizard implements
 		}
 		this.selection = selection;
 		
-		formFactory = new CdmFormFactory(DisplayProxy.getDefault(), null);
+		formFactory = CdmFormFactoryFacade.getInstance(DisplayProxy.getDefault(), null);
 	 	conversation = CdmStore.createConversation();
 	 	entity = createNewEntity();
 	 	
